summaryrefslogtreecommitdiffstats
path: root/libraries/libqxt
diff options
context:
space:
mode:
author Andrey Maraev2013-10-20 17:33:47 +0200
committer Matteo Bernardini2013-10-23 12:17:45 +0200
commit16624b006987c1f337f33144f32e292e69357087 (patch)
tree415e48e0c1c1ce83cd095ceb29cd5535727b37c0 /libraries/libqxt
parent1efbf2c1e6a41dd9fdc82cb3c00ac30d960e8cb9 (diff)
downloadslackbuilds-16624b006987c1f337f33144f32e292e69357087.tar.gz
libraries/libqxt: Added (Qt4 Extension Library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/libqxt')
-rw-r--r--libraries/libqxt/README3
-rw-r--r--libraries/libqxt/libqxt.SlackBuild97
-rw-r--r--libraries/libqxt/libqxt.info10
-rw-r--r--libraries/libqxt/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/libraries/libqxt/README b/libraries/libqxt/README
new file mode 100644
index 0000000000..6a13e285f6
--- /dev/null
+++ b/libraries/libqxt/README
@@ -0,0 +1,3 @@
+Libqxt is an extension library for Qt providing a suite of
+cross-platform utility classes to add functionality not readily
+available in the Qt toolkit.
diff --git a/libraries/libqxt/libqxt.SlackBuild b/libraries/libqxt/libqxt.SlackBuild
new file mode 100644
index 0000000000..26fd9693ff
--- /dev/null
+++ b/libraries/libqxt/libqxt.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for libqxt
+
+# Copyright 2013 Andrey Maraev <andrew.maraev60@yandex.ru>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=libqxt
+VERSION=${VERSION:-0.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix linking during the xrandr test
+sed -i "s|lXrandr$|lXrandr -lX11|" config.tests/xrandr/xrandr.pro
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure -prefix /usr -libdir /usr/lib$LIBDIRSUFFIX
+
+make
+make install INSTALL_ROOT=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGES LICENSE README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libqxt/libqxt.info b/libraries/libqxt/libqxt.info
new file mode 100644
index 0000000000..9890e6ec40
--- /dev/null
+++ b/libraries/libqxt/libqxt.info
@@ -0,0 +1,10 @@
+PRGNAM="libqxt"
+VERSION="0.6.2"
+HOMEPAGE="http://libqxt.org"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/libqxt-0.6.2.tar.xz"
+MD5SUM="3029f62e04f76a5c2ffab2af307f28e6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrey Maraev"
+EMAIL="andrew.maraev60@yandex.ru"
diff --git a/libraries/libqxt/slack-desc b/libraries/libqxt/slack-desc
new file mode 100644
index 0000000000..cc19165284
--- /dev/null
+++ b/libraries/libqxt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libqxt: LibQxt (Qt4 Extension Library)
+libqxt:
+libqxt: LibQxt is an extension library for Qt providing a suite of
+libqxt: cross-platform utility classes to add functionality not readily
+libqxt: available in the Qt toolkit.
+libqxt:
+libqxt: homepage: http://www.libqxt.org
+libqxt:
+libqxt:
+libqxt:
+libqxt: